<?php

namespace EventPortal\Tests\Unit\Component;

use EventPortal\Domain\Component\Button;
use EventPortal\Domain\Component\ButtonDropdown;
use EventPortal\Enums\InertiaMethod;
use EventPortal\Tests\TestCase;

class ButtonDropdownTest extends TestCase
{
    /** @test **/
    public function can_make_button_dropdown()
    {
        $dropdown = ButtonDropdown::make('Manage delegates')
            ->actions([
                Button::make('Add')->method(InertiaMethod::POST()),
                Button::make('Delete')->method(InertiaMethod::POST()),
            ]);

        $this->assertEquals('ButtonDropdown', $dropdown->component);
        $this->assertCount(2, $dropdown->actions);
    }
}
